# lightning.pytorch==2.4.0
seed_everything: 42
trainer:
  accelerator: auto
  strategy: auto
  devices: auto
  num_nodes: 1
  precision: 32-true
  callbacks: []
model:
  class_path: viscy.representation.engine.ContrastiveModule
  init_args:
    encoder:
      class_path: viscy.representation.contrastive.ContrastiveEncoder
      init_args:
        backbone: convnext_tiny
        in_channels: 1
        in_stack_depth: 1
        stem_kernel_size:
        - 1
        - 4
        - 4
        stem_stride:
        - 1
        - 4
        - 4
        embedding_dim: 768
        projection_dim: 32
        drop_path_rate: 0.0
    loss_function:
      class_path: pytorch_metric_learning.losses.NTXentLoss
      init_args:
        temperature: 0.2
        embedding_regularizer: null
        embedding_reg_weight: 1
        reducer: null
        distance: null
        collect_stats: null
    lr: 2.0e-05
    schedule: Constant
    log_batches_per_epoch: 3
    log_samples_per_batch: 3
    log_embeddings: false
    example_input_array_shape:
    - 1
    - 1
    - 1
    - 256
    - 256
ckpt_path: /hpc/projects/organelle_phenotyping/models/dynamorph_microglia/lightning_logs/train_test_split_time_1_temp_0.2_rev1/checkpoints/epoch=19-step=12960.ckpt
format: onnx
export_path: /hpc/projects/organelle_phenotyping/models/dynamorph_microglia/deploy/dynaclr_microglia.onnx
